#include <SDL.h>
#include <SDL_image.h>

#define SCREEN_WIDTH  (640)
#define SCREEN_HEIGHT (480)

static void
die(char *message)
{
  perror(message);
  exit(1);
}

int main(int argc, char *argv[])
{
  SDL_Surface *s;
  SDL_Surface *image;
  int ret;

  ret = SDL_Init(SDL_INIT_VIDEO);
  if (ret < 0)
    die("sdl init");
  atexit(SDL_Quit);

  image = IMG_Load("sapporo.jpg");
  if (!image)
    die("failed to load image\n");

  s = SDL_SetVideoMode(SCREEN_WIDTH,
		       SCREEN_HEIGHT,
		       24, SDL_FULLSCREEN);
  if (!s)
    die("failed to set mode\n");

  SDL_BlitSurface(image, NULL, s, NULL);
  SDL_Flip(s);
  SDL_Delay(2000);

  return 0;
}
